﻿using Microsoft.EntityFrameworkCore;
using ReservationProject.Models;

namespace ReservationProject.Data
{
    public class DataContext : DbContext
    {
        public DataContext(DbContextOptions<DataContext> options) : base(options)
        {
        }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            base.OnConfiguring(optionsBuilder);
            optionsBuilder.
                UseNpgsql("Host=ngknn.ru;Port=5442;Database=reservation_application;Username=41P;Password=12357");
        }

        public DbSet<User> Users { get; set; }

        public DbSet<City> Cities { get; set; }

        public DbSet<Reservation> Reservations { get; set; }

        public DbSet<Restaurant> Restaurants { get; set;}

    }
}
