﻿using System.ComponentModel.DataAnnotations;

namespace ReservationProject.ModelsDto
{
    public class UserDTO
    {
        [Required]
        public string Email { get; set; } = null!;
        [StringLength(20), Required]
        public string Name { get; set; } = null!;
        [StringLength(20), Required]
        public string Surname { get; set; } = null!;
        [MaxLength(13, ErrorMessage = "Phone must be 13 characters not more"), Phone]
        public string? PhoneNumber { get; set; }
    }
}
