﻿using System.Security.Claims;

namespace ReservationProject.Services
{
    public class UserService : IUserService
    {
        private readonly IHttpContextAccessor _httpContextAccessor;

        public UserService(IHttpContextAccessor httpContextAccessor)
        {
            _httpContextAccessor = httpContextAccessor;
        }

        public string GetId()
        {
            var result = string.Empty;
            if (_httpContextAccessor.HttpContext is not null)
            {

                result = _httpContextAccessor.HttpContext.User.FindFirstValue("UserId");
            }
            return result;
        }
    }
}
