﻿using System.ComponentModel.DataAnnotations;
using System.Diagnostics.CodeAnalysis;

namespace ReservationProject.Models
{
    public class Reservation
    {
        [Key]
        public int Id { get; set; }

        [NotNull]
        public DateTime OperationDate { get; set; }
        [NotNull]
        public DateTime ReservationDateTime { get; set; }

        public Restaurant Restaurant { get; set; } = null!;

        public User User { get; set; } = null!;
    }
}
