﻿using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations;

namespace ReservationProject.ModelsDto
{
    public record RestaurantDTO
    {
        [Required]
        public string Name { get; set; } = null!;

        [Required]
        public string Location { get; set; } = null!;

        [Required, Phone]
        public string ContactNumber { get; set; } = null!;

        [Required]
        public string City { get; set; } = null!;

        public string Photo {get; set; } = null!;

    }
}
